> For the complete documentation index, see [llms.txt](https://docs.eseye.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eseye.com/api-reference/api-reference-legacy/portfolio/job-title.md).

# Job Title

## Viewing all job titles

> To view all job titles:

```json
{"openapi":"3.1.0","info":{"title":"Portfolio API","version":"2.0.0"},"tags":[{"name":"Job title"}],"servers":[{"url":"https://portfolio.api.anynetiot.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/jobTitle":{"get":{"summary":"Viewing all job titles","operationId":"get-api-v2-jobtitle","tags":["Job title"],"description":"To view all job titles:","responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"pageToken":{"type":"string"},"requestedPageSize":{"type":"integer"},"itemCount":{"type":"integer"},"items":{"type":"array","items":{"type":"object","properties":{"jobTitleId":{"type":"integer"},"name":{"type":"string"},"title":{"type":"string"},"status":{"type":"string"}}}}}}}}}}}}}}
```

## Creating a new job title

> To create a new job title:

```json
{"openapi":"3.1.0","info":{"title":"Portfolio API","version":"2.0.0"},"tags":[{"name":"Job title"}],"servers":[{"url":"https://portfolio.api.anynetiot.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/jobTitle":{"post":{"summary":"Creating a new job title","operationId":"post-api-v2-jobtitle","tags":["Job title"],"description":"To create a new job title:","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"jobTitle":{"type":"string"},"name":{"type":"string"},"title":{"type":"string"}},"required":["jobTitle","name","title"]}}}},"responses":{"200":{"description":"Successful response"}}}}}}
```

## Viewing a specific job title

> To view details for a specific job title:

```json
{"openapi":"3.1.0","info":{"title":"Portfolio API","version":"2.0.0"},"tags":[{"name":"Job title"}],"servers":[{"url":"https://portfolio.api.anynetiot.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/jobTitle/{jobTitleId}":{"get":{"summary":"Viewing a specific job title","operationId":"get-api-v2-jobtitle-jobtitleid","tags":["Job title"],"description":"To view details for a specific job title:","parameters":[{"name":"jobTitleId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"jobTitleId":{"type":"string"},"name":{"type":"string"},"title":{"type":"string"},"status":{"type":"string"}}}}}}}}}}}
```

## Updating a specific job title

> To update a specific job title:

```json
{"openapi":"3.1.0","info":{"title":"Portfolio API","version":"2.0.0"},"tags":[{"name":"Job title"}],"servers":[{"url":"https://portfolio.api.anynetiot.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/jobTitle/{jobTitleId}":{"patch":{"summary":"Updating a specific job title","operationId":"patch-api-v2-jobtitle-jobtitleid","tags":["Job title"],"description":"To update a specific job title:","parameters":[{"name":"jobTitleId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string"},"title":{"type":"string"},"status":{"type":"string"}}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"jobTitleId":{"type":"string"},"name":{"type":"string"},"title":{"type":"string"},"status":{"type":"string"}}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.eseye.com/api-reference/api-reference-legacy/portfolio/job-title.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
